#include <iostream>
using namespace std;



int main()
{
   int n,m;
   int sreca = 0;
   bool ima_ispod_nule = false;
   cin >> n >> m;
   long long druzeljubivost[n];
   for (int x=0;x<n;x++){
        cin >> druzeljubivost[x];
        if(druzeljubivost[x] <= 0){
            ima_ispod_nule = true;
        }
   }
   int poznanici[m][2];
   for (int x=0;x<m;x++){
        cin >> poznanici[x][0] >> poznanici[x][1];
   }
   if (ima_ispod_nule){
     int parovi_ponavljanja[n] = {0};
     for (int x=0;x<m;x++){
        int pomoc1 = poznanici[x][0]-1;
        int pomoc2 = poznanici[x][1]-1;
        parovi_ponavljanja[pomoc1]++;
        parovi_ponavljanja[pomoc2]++;
     }
     for (int x=0;x<n;x++){
        int t = druzeljubivost[x] * -(parovi_ponavljanja[x]);
        sreca = sreca + t;
    }
   }else{
     int parovi_ponavljanja[n] = {0};
     for (int x=0;x<m;x++){
        int pomoc1 = poznanici[x][0]-1;
        int pomoc2 = poznanici[x][1]-1;
        parovi_ponavljanja[pomoc1]++;
        parovi_ponavljanja[pomoc2]++;
     }
    for (int x=0;x<n;x++){
        int t = druzeljubivost[x] * parovi_ponavljanja[x];
        sreca = sreca + t;
    }

   }
    cout << sreca << endl;
}